Skip to main content
GET
/
api2
/
v1
/
projects
/
{projectUid}
Get project
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid} \
  --header 'Authorization: <api-key>'
{
  "userRole": "<string>",
  "uid": "<string>",
  "internalId": 123,
  "id": "<string>",
  "name": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "domain": {
    "id": "<string>",
    "uid": "<string>",
    "name": "<string>"
  },
  "subDomain": {
    "id": "<string>",
    "uid": "<string>",
    "name": "<string>"
  },
  "owner": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  },
  "sourceLang": "<string>",
  "targetLangs": [
    "<string>"
  ],
  "references": [
    {
      "id": "<string>",
      "uid": "<string>",
      "filename": "<string>",
      "note": "<string>",
      "dateCreated": "2023-11-07T05:31:56Z",
      "createdBy": {
        "firstName": "<string>",
        "lastName": "<string>",
        "userName": "<string>",
        "email": "<string>",
        "role": "SYS_ADMIN",
        "id": "<string>",
        "uid": "<string>"
      }
    }
  ],
  "mtSettingsPerLanguageList": [
    {
      "targetLang": "<string>",
      "machineTranslateSettings": {
        "id": "<string>",
        "uid": "<string>",
        "name": "<string>",
        "type": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Response

successful operation

Base projectDto

userRole
string
required
read-only

Response differs based on user's role

uid
string
internalId
integer<int32>
id
string
name
string
dateCreated
string<date-time>
domain
object
subDomain
object
owner
object
sourceLang
string
targetLangs
string[]
references
object[]
mtSettingsPerLanguageList
object[]